# CraftPresence

## [v1.8.2](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.8.2) (2022-04-20)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.8.1...v1.8.2) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Refactor] Misc. Cleanups  
- [Change] Added a warning for if certain settings can prevent event reads  
    - Some settings in the game, such as contrast, brightness, and gamma can interfere with RPCEvent generation, making the event unreadable.  
    Due to recent feedback, and the overall common rating of this issue, a warning will now be displayed via `AssertRenderSettings` if one of these settings doesn't match the necessary value  
    - This warning will only display once unless you either have `verboseMode` enabled or the warning changes (For example if you fixed one setting, but other warnings exist).  
    - Using `/cp update` will still force the event generation, even if warnings exist, though it is no guarantee that the script will be able to read it unless those warnings are resolved.  
